"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _router = require("@reach/router");

var _q3Admin = _interopRequireDefault(require("q3-admin"));

var _AdminPrivateGateway = _interopRequireDefault(require("./AdminPrivateGateway"));

var _useSiteMetaData = _interopRequireDefault(require("./useSiteMetaData"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const AdminRouter = ({
  children,
  AdminProps,
  GatekeepProps
}) => {
  const {
    appDirectory: basepath,
    favicon: logoSrc
  } = (0, _useSiteMetaData.default)();
  return /*#__PURE__*/_react.default.createElement(_AdminPrivateGateway.default, {
    GatekeepProps: GatekeepProps
  }, /*#__PURE__*/_react.default.createElement(_router.Router, {
    basepath: basepath
  }, /*#__PURE__*/_react.default.createElement(_q3Admin.default, _extends({}, AdminProps, {
    path: "*",
    AppProps: {
      directory: basepath,
      ...(AdminProps === null || AdminProps === void 0 ? void 0 : AdminProps.AppProps)
    },
    NavProps: {
      logoSrc,
      ...(AdminProps === null || AdminProps === void 0 ? void 0 : AdminProps.NavProps)
    }
  }), children)));
};

AdminRouter.defaultProps = {
  AdminProps: {},
  GatekeepProps: {},
  children: null
};
AdminRouter.propTypes = {
  // eslint-disable-next-line
  AdminProps: _propTypes.default.object,
  // eslint-disable-next-line
  GatekeepProps: _propTypes.default.object,
  children: _propTypes.default.node
};
var _default = AdminRouter;
exports.default = _default;