"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _q3Ui = _interopRequireDefault(require("q3-ui"));

var _axios = _interopRequireDefault(require("axios"));

var _q3UiLocale = require("q3-ui-locale");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _q3UiForms = _interopRequireDefault(require("q3-ui-forms"));

var _q3UiPermissions = _interopRequireDefault(require("q3-ui-permissions"));

var _components = require("q3-admin/lib/components");

var _SearchEngine = _interopRequireDefault(require("./SearchEngine"));

var _useLocale = _interopRequireDefault(require("./useLocale"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const registeri18ResourceBundles = contentData => {
  if (!contentData || !('en' in contentData)) return;
  Object.entries(contentData).forEach(([key, bundle]) => {
    Object.entries(bundle).forEach(([namespace, data]) => {
      _q3UiLocale.i18n.addResourceBundle(key, namespace, data, true, true);
    });
  });
};

const setBaseUrlForRest = (baseURL = process.env.GATSBY_APP_BASE_URL || 'http://localhost:9000') => {
  _axios.default.defaults.baseURL = baseURL;
  return _axios.default.defaults;
}; // cannot conditionally call hooks otherwise


const Locale = () => {
  (0, _useLocale.default)();
  return null;
};

const Wrapper = ({
  children,
  baseURL,
  locale,
  includeLoader,
  includeLocale,
  ...providerProps
}) => {
  setBaseUrlForRest(baseURL);
  registeri18ResourceBundles(locale);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_SearchEngine.default, null), /*#__PURE__*/_react.default.createElement(_q3Ui.default, providerProps, /*#__PURE__*/_react.default.createElement(_q3UiPermissions.default, null, /*#__PURE__*/_react.default.createElement(_q3UiForms.default, {
    preventDuplicate: true
  }, includeLoader && /*#__PURE__*/_react.default.createElement(_components.Loader, null), includeLocale && /*#__PURE__*/_react.default.createElement(Locale, null), children))));
};

Wrapper.defaultProps = {
  baseURL: undefined,
  includeLoader: true,
  includeLocale: true
};
Wrapper.propTypes = {
  baseURL: _propTypes.default.string,
  children: _propTypes.default.node.isRequired,
  includeLoader: _propTypes.default.bool,
  includeLocale: _propTypes.default.bool,
  // eslint-disable-next-line
  locale: _propTypes.default.object.isRequired,
  // eslint-disable-next-line
  theme: _propTypes.default.object.isRequired
};
var _default = Wrapper;
exports.default = _default;