"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _queryString = _interopRequireDefault(require("query-string"));

var _lodash = require("lodash");

var _axios = _interopRequireDefault(require("axios"));

var _presets = require("q3-ui-forms/lib/presets");

var _builders = require("q3-ui-forms/lib/builders");

var _FormBoxContent = _interopRequireDefault(require("../components/FormBoxContent"));

var _FormBox = _interopRequireDefault(require("../components/FormBox"));

var _withSuccessOp = _interopRequireDefault(require("../components/withSuccessOp"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const PasswordChange = ({
  onSuccess,
  location
}) => {
  const {
    passwordResetToken,
    email
  } = _queryString.default.parse((0, _lodash.get)(location, 'search', ''), {
    decode: false
  });

  return /*#__PURE__*/_react.default.createElement(_FormBox.default, {
    renderBottom: /*#__PURE__*/_react.default.createElement(_builders.Form, {
      onSubmit: passwords => _axios.default.post('/password-change', passwords).then(onSuccess),
      initialValues: {
        passwordResetToken,
        email
      }
    }, values => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, !passwordResetToken && /*#__PURE__*/_react.default.createElement(_builders.Field, {
      name: "previousPassword",
      type: "password",
      required: true,
      xl: 12,
      lg: 12
    }), /*#__PURE__*/_react.default.createElement(_presets.NewPasswordFields, values))),
    renderTop: /*#__PURE__*/_react.default.createElement(_FormBoxContent.default, {
      title: "passwordChange",
      description: "passwordChange"
    })
  });
};

PasswordChange.propTypes = {
  onSuccess: _propTypes.default.func.isRequired,
  location: _propTypes.default.shape({
    search: _propTypes.default.string
  }).isRequired
};

var _default = (0, _withSuccessOp.default)(PasswordChange, 'passwordChangeNotice');

exports.default = _default;